<template>
  <div>
    <GoBack />
    <section class="destinations">
      <h1>
        {{ todos.name }}
      </h1>
    </section>
    <div class="">
      <form class="container" @submit.prevent="addTodo(newTodo)">
        <input
          v-model="newTodo"
          type="text"
          class="form-control"
          placeholder="Create a new todo"
        />
      </form>
    </div>
    <br>
    <section class="container">
      <div class="" id="">
        <div
          v-for="todoItem in todos.tasks_list"
          :key="todoItem.id"
        >
          <span>
            <li class="d-flex align-items-center list-group-item">
              <span class="flex-grow-1 text-center shadow-none">
                <router-link
                  :to="{
                    name: 'Todo',
                    params: { idList: todos.idList, id: todoItem.id }
                  }"
                >
                  <span>{{todoItem.id}} - {{ todoItem.name }}</span>
                </router-link>
              </span>
            </li>
          </span>
        </div>
      </div>
      <router-view :key="$route.path" />
    </section>
  </div>
</template>
<script>
import store from "@/store";
import GoBack from "@/components/GoBack";

export default {
  components: {
    GoBack
  },
  data() {
    return {
      newTodo : "",
      todos: fetch("http://localhost:5000/lists/"+this.idList+"", {"Content-Type": "application/json"} )
        .then(response => response.json())
        .then(res => this.todos = res)
    };
  },
  props: {
    idList: Number
  },
  methods: {
    addTodo(newTodo) {
      if (newTodo.length > 0) {
        console.log(todos)
        this.todos.tasks_list.push({
          id: this.todos.tasks_list.length+1,
          name: newTodo,
          created_on: new Date(),        
        });
      }
    }
  }
}
</script>

<style scoped>
img {
  max-width: 600px;
  height: auto;
  width: 100%;
  max-height: 400px;
}
.experiences {
  padding: 40px 0;
}
.destination-details {
  display: flex;
  justify-content: space-between;
}
p {
  margin: 0 40px;
  font-size: 20px;
  text-align: left;
}
.cards {
  display: flex;
  justify-content: space-between;
}
.cards img {
  max-height: 200px;
}
.card {
  padding: 0 20px;
  position: relative;
}
.card__text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 25px;
  font-weight: bold;
  text-decoration: none;
}
</style>
